TSLOOK {bimets} | R Documentation

## Lookup a Time Series

### Description

This function returns the time range and the frequency of an input time series.

### Usage

    TSLOOK(x=NULL, avoidCompliance=FALSE, ...)

### Arguments

`x` | Input time series that must satisfy the compliance control check defined in `is.bimets`.
`avoidCompliance` | If `TRUE`, compliance control check of input time series will be skipped. See `is.bimets`.
`...` | Backward compatibility.

### Value

This function returns a list of numeric arrays built with the following elements:
`STARTY` will contain the value of the starting year
`STARTP` will contain the value of the starting period
`ENDY` will contain the value of the ending year
`ENDP` will contain the value of the ending period
`FREQ` will contain the value of the time series frequency

### See Also

`NOELS`
`is.bimets`
`BIMETS indexing`
`fromBIMETStoXTS`
`fromBIMETStoTS`
`GETYEARPERIOD`
`INTS`
`TSINFO`

### Examples

    	#create series
    	ts1=TSERIES(INTS(1,10),START=c(2000,1),FREQ=12);

    	ts1Look=TSLOOK(ts1);

    	print(ts1Look$STARTY); #print...2000
    	print(ts1Look$STARTP); #print...1
    	print(ts1Look$ENDY); #print...2000
    	print(ts1Look$ENDP); #print...10
    	print(ts1Look$FREQ); #print...12

[Package bimets version 1.4.0 Index]